Read Metadata
Introduction
This API is responsible for reading metadata for a given Consumer ID and API Name. By omitting API Name, users can fetch the global metadata for the corresponding consumer.
In case, both global and API specific metadata exists, reading metadata would always prioritize APIs.
cURL
curl --location 'https://api.signzy.app/api/v3/metahub/read-metadata' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Access-Token>' \
--data '{
"consumerId": "consumer123",
"apiName": "/gstr-analytics/create-request"
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"consumerId": "consumer123",
"apiName": "/gstr-analytics/create-request"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
consumerId | A unique id shared by Signzy during onboarding of the client | String | COMPULSORY |
apiName | Name of the API | String | OPTIONAL |
Response Data
{
"result": {
"callbacks": [
{
"url": "https://client-api-specific-callback.url",
"authType": "key-auth",
"headers": [
{
"key": "Authorization",
"value": "QWERTYUIOP"
}
]
}
]
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output. | Object | OPTIONAL |
logoUrls | Url of the consumer logo | List of String | OPTIONAL |
domainNames | List of Domain names that have to be whitelisted in Signzy | List of String | OPTIONAL |
callbacks | List of callback configs | List of Object | OPTIONAL |
url | Url of the callback | String | COMPULSORY |
authType | Authentication type | String | COMPULSORY |
headers | Necessary headers required for the Auth type | List of Object | COMPULSORY |
key | Header key name | String | COMPULSORY |
value | Header key value | String | COMPULSORY |
Sample Status Codes And Messages
{
"error": {
"reason": "VALIDATION_ERROR",
"status": 400,
"message": "\"consumerId\" is not allowed to be empty",
"type": "Bad Request",
"statusCode": 400,
"name": "error"
}
}
1. Datatype validation issues errors, eg: \"consumerId\" must be a string
2. \"apiName\" must adhere to the following pattern - /^(\/[a-zA-Z0-9-]+)+$/